package com.chaozhanggui.admin.system.service;

import com.chaozhanggui.common.system.config.MsgException;
import com.chaozhanggui.dao.system.dao.TbPlussRegionCodeSxfMapper;
import com.chaozhanggui.dao.system.entity.TbPlussRegionCodeSxf;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 不同通道的地区表映射表 服务类
 * @author lyf
 */
@Service
@Slf4j
public class RegionReflectService {
    @Resource
    private TbPlussRegionCodeSxfMapper regionCodeSxfMapper;

    /**
     * 获取随行付地区code信息
     *
     * @param province 省
     * @param city     市
     * @param area     区/县
     * @return 地区信息
     */
    public TbPlussRegionCodeSxf getSxfRegionCode(String province, String city, String area){
        try {
            TbPlussRegionCodeSxf regionCodeYs = regionCodeSxfMapper.selectRegionCode(province, city, area);
            if (regionCodeYs == null) {
                throw new MsgException("随行付获取地区信息异常");
            }
            return regionCodeYs;
        } catch (Exception e) {
            e.printStackTrace();
            log.error("===随行付获取地区信息异常===");
            throw new MsgException("随行付获取地区信息异常");
        }
    }
}
